Bug 21109 - db-2.7.7_IBM_patch_001 Add make targets to install lib includes utilities doc
db-2.7.7_IBM_patch_001 Add make targets to install lib includes utilities doc
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: db2 (Show other bugs)
6.2
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brock Organ
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-19 22:11 EST by Paul Shearer
Modified: 2007-03-26 23:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-01 13:43:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Shearer 2000-11-19 22:11:49 EST
To:db@sleepycat.com
cc:support@sleepycat.com
Fcc:MS.bug-report.RPM
Subject: SPTS 254360 db-2.7.7_IBM_patch_001 Add make targets
--------

IBM SPTS:       254360

IBM PATCH:      db-2.7.7_IBM_patch_001

Submitter:      paulsh@us.ibm.com
                     Paul Shearer

Product:        Berkeley DB
Version:        2.7.7 (08/20/99)
Component:
Platform:       All
OS:             All
uname -a:       DYNIX/ptx eng2 4.0 V4.6.0 i386

Summary:

        Add to Makefile.in make targets to install separate components

Description:

OVERVIEW DESCRIPTION:

        IBM and other platforms may not need to install db utilities.
        The db utilities are only used with rpm 7.0.x, not rpm 3.0.x
        since rpm 3.0.x rpm database is not in db format.
        Therefore separate the current install target into
        several install targets to allow subsets of current install target.

STEPS TO REPRODUCE:

        make all
        make install

ACTUAL RESULTS:

        installs both libdb.a and PROGS.

EXPECTED RESULTS:

        For users who may want only libdb.a.

        make libdb.a
        make install_includes install_lib

BUILD DATE & PLATFORM:

        N/A

ADDITIONAL BUILDS AND PLATFORMS:

        N/A

ADDITIONAL INFORMATION: (crash info)

        N/A

UNIX stack trace:

        N/A

SAMPLE PATCH:

IBM patch sequence number: db-2.7.7_IBM_patch_001


List of files patched followed by RCS or SCCS ident lines.
==========================================================

dist/Makefile.in



Patch to fix the files
======================
*** 1.1 2000/11/02 08:53:14
--- dist/Makefile.in    2000/11/15 17:33:59
***************
*** 153,163 ****

  transform=@program_transform_name@

! install: all
        @test -f $(chmod) || (echo 'chmod not found.'; exit 1)
        @test -f $(cp) || (echo 'cp not found.'; exit 1)
        @test -f $(mkdir) || (echo 'mkdir not found.'; exit 1)
        @test -f $(rm) || (echo 'rm not found.'; exit 1)
        @echo "Installing DB include files: $(includedir) ..."
        @test -d $(includedir) || \
            ($(mkdir) -p $(includedir) && $(chmod) $(dmode) $(includedir))
--- 153,167 ----

  transform=@program_transform_name@

! install: all install_includes install_lib install_utilities install_doc
!
! commands:
        @test -f $(chmod) || (echo 'chmod not found.'; exit 1)
        @test -f $(cp) || (echo 'cp not found.'; exit 1)
        @test -f $(mkdir) || (echo 'mkdir not found.'; exit 1)
        @test -f $(rm) || (echo 'rm not found.'; exit 1)
+
+ install_includes: commands
        @echo "Installing DB include files: $(includedir) ..."
        @test -d $(includedir) || \
            ($(mkdir) -p $(includedir) && $(chmod) $(dmode) $(includedir))
***************
*** 164,169 ****
--- 168,175 ----
        @cd $(includedir) && $(rm) -f db.h db_185.h db_cxx.h
        @$(cp) -p db.h db_185.h $(srcdir)/include/db_cxx.h $(includedir)
        @cd $(includedir) && $(chmod) $(fmode) db.h db_185.h db_cxx.h
+
+ install_lib: commands $(libdb)
        @echo "Installing DB library: $(libdir) ..."
        @test -d $(libdir) || \
            ($(mkdir) -p $(libdir) && $(chmod) $(dmode) $(libdir))
***************
*** 170,175 ****
--- 176,183 ----
        @cd $(libdir) && $(rm) -f $(libdb)
        @$(cp) -p $(libdb) $(libdir)
        @cd $(libdir) && $(chmod) $(fmode) $(libdb)
+
+ install_utilities: commands $(PROGS)
        @echo "Installing DB utilities: $(bindir) ..."
        @test -d $(bindir) || \
            ($(mkdir) -p $(bindir) && $(chmod) $(dmode) $(bindir))
***************
*** 177,188 ****
        @$(cp) -p $(PROGS) $(bindir)
        @cd $(bindir) && (test ! -f $(strip) || $(strip) $(PROGS))
        @cd $(bindir) && $(chmod) $(emode) $(PROGS)
        @echo "Installing documentation: $(mandir) ..."
        @test -d $(mandir) || \
            ($(mkdir) -p $(mandir) && $(chmod) $(dmode) $(mandir))
        @cd $(srcdir)/docs && $(cp) -pr * $(mandir)/
 
! uninstall:
        -cd $(bindir) && $(rm) -f $(PROGS)
        -cd $(includedir) && $(rm) -f db.h db_185.h db_cxx.h
        -cd $(libdir) && $(rm) -f $(libdb)
--- 185,198 ----
        @$(cp) -p $(PROGS) $(bindir)
        @cd $(bindir) && (test ! -f $(strip) || $(strip) $(PROGS))
        @cd $(bindir) && $(chmod) $(emode) $(PROGS)
+
+ install_doc: commands
        @echo "Installing documentation: $(mandir) ..."
        @test -d $(mandir) || \
            ($(mkdir) -p $(mandir) && $(chmod) $(dmode) $(mandir))
        @cd $(srcdir)/docs && $(cp) -pr * $(mandir)/
 
! uninstall: commands
        -cd $(bindir) && $(rm) -f $(PROGS)
        -cd $(includedir) && $(rm) -f db.h db_185.h db_cxx.h
        -cd $(libdir) && $(rm) -f $(libdb)
Comment 1 Glen Foster 2001-08-01 13:43:43 EDT
Closing at customer's request.

Note You need to log in before you can comment on or make changes to this bug.